OGRE: Ogre::PlaneBoundedVolume Class Reference - OGRE Documentation

Public Types | Public Member Functions | Public Attributes

# Ogre::PlaneBoundedVolume Class Reference
[Math]

Represents a convex volume bounded by planes. More...

`#include <OgrePlaneBoundedVolume.h>`

List of all members.

## Public Types
typedef vector< Plane >::type | PlaneList
## Public Member Functions
| PlaneBoundedVolume ()
| PlaneBoundedVolume (Plane::Side theOutside)
| Constructor, determines which side is deemed to be 'outside'.
bool | intersects (const AxisAlignedBox &box) const
| Intersection test with AABB.
bool | intersects (const Sphere &sphere) const
| Intersection test with Sphere.
std::pair< bool, Real > | intersects (const Ray &ray)
| Intersection test with a Ray.
## Public Attributes
PlaneList | planes
| Publicly accessible plane list, you can modify this direct.
Plane::Side | outside

## Detailed Description

Represents a convex volume bounded by planes.

Definition at line 48 of file OgrePlaneBoundedVolume.h.

## Member Typedef Documentation

typedef vector<Plane>::type Ogre::PlaneBoundedVolume::PlaneList

Definition at line 51 of file OgrePlaneBoundedVolume.h.

## Constructor & Destructor Documentation

Ogre::PlaneBoundedVolume::PlaneBoundedVolume | ( |  | ) |

Definition at line 56 of file OgrePlaneBoundedVolume.h.

Ogre::PlaneBoundedVolume::PlaneBoundedVolume | ( | Plane::Side | theOutside | ) |

Constructor, determines which side is deemed to be 'outside'.

Definition at line 58 of file OgrePlaneBoundedVolume.h.

## Member Function Documentation

bool Ogre::PlaneBoundedVolume::intersects | ( | const AxisAlignedBox & | box | ) | const

Intersection test with AABB.

Remarks:
  May return false positives but will never miss an intersection.

Definition at line 64 of file OgrePlaneBoundedVolume.h.

References Ogre::AxisAlignedBox::getCenter(), Ogre::AxisAlignedBox::getHalfSize(), Ogre::Plane::getSide(), Ogre::AxisAlignedBox::isInfinite(), and Ogre::AxisAlignedBox::isNull().

std::pair<bool, Real> Ogre::PlaneBoundedVolume::intersects | ( | const Ray & | ray | ) |

Intersection test with a Ray.

Returns:
  std::pair of hit (bool) and distance

Remarks:
  May return false positives but will never miss an intersection.

Definition at line 120 of file OgrePlaneBoundedVolume.h.

References Ogre::Math::intersects(), and Ogre::Plane::POSITIVE_SIDE.

bool Ogre::PlaneBoundedVolume::intersects | ( | const Sphere & | sphere | ) | const

Intersection test with Sphere.

Remarks:
  May return false positives but will never miss an intersection.

Definition at line 95 of file OgrePlaneBoundedVolume.h.

References Ogre::Sphere::getCenter(), Ogre::Plane::getDistance(), Ogre::Sphere::getRadius(), and Ogre::Plane::NEGATIVE_SIDE.

## Member Data Documentation

Plane::Side Ogre::PlaneBoundedVolume::outside

Definition at line 54 of file OgrePlaneBoundedVolume.h.

Referenced by Ogre::Ray::intersects().

PlaneList Ogre::PlaneBoundedVolume::planes

Publicly accessible plane list, you can modify this direct.

Definition at line 53 of file OgrePlaneBoundedVolume.h.

Referenced by Ogre::Ray::intersects().

The documentation for this class was generated from the following file:

- OgrePlaneBoundedVolume.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:58